// uPortal Icon Control Extensions  v1.0.0
// license: http://creativecommons.org/licenses/by/2.0/
// code by Terence Ordona portal[at]imaputz[dot]com

addEvent(window, "load", setLinkControllers);
addEvent(window, "load", restoreMinChannel);
addEvent(window, "unload", saveMinChannel);

var focusedChannel;
var thisColumnClass = new Array();
var minimizedChannels = new Array();
var originialTitle = document.title;

function setLinkControllers() {
	if (document.getElementById && document.createElement && Array.prototype.push) {
		var anchors = document.getElementsByTagName("a");
		var onClickAction = "";

		for (var i=0; i<anchors.length; i++) {
			var anchor = anchors[i];
			if (anchor.href && !anchor.title && anchor.target != "_blank") {
				anchor.title = anchor.firstChild.nodeValue;
			}
			if (anchor.href && anchor.title && anchor.target == "_blank") {
				anchor.title = anchor.title + " (link opens in a new window)";
			}
			if (anchor.href && !anchor.title && anchor.target == "_blank") {
				anchor.title = anchor.firstChild.nodeValue + " (link opens in a new window)";
			}
			if (anchor.href && !anchor.rev) {
				onClickAction = "";
			}
			if (anchor.href && (anchor.rev == "focusedTab" || anchor.type == "selectedTab")) {
				onClickAction = "return false;";
			}
			if (anchor.href && (anchor.rev == "detachChannel")) {
				onClickAction = "detachChannel('" + anchor.rel + "'); return false;";
			}
			if (anchor.href && (anchor.rev == "printChannel") && window.print) {
				onClickAction = "printChannel('" + anchor.rel + "'); return false;";
			}
			if (anchor.href && (anchor.rev == "minmaxChannel")) {
				onClickAction = "toggleChannel('" + anchor.rel + "', 'true'); return false;";
			}
			if (anchor.href && (anchor.rev == "focusChannel")) {
				onClickAction = "focusChannel('" + anchor.rel + "'); return false;";
			}
			if (onClickAction != "") {
				anchor.onclick = new Function(onClickAction);
			}
		}
	}
}

function toggleChannel(ID, cookie) {
	var channelID = "channelID" + ID; var icon = "minmax" + ID;
	var thisChannel = document.getElementById(channelID);
	if (!thisChannel) { return; }
	var thisIcon = document.getElementById(icon);

	if (thisChannel.style.display == "none") {
		deleteMinChannel(ID);
		thisIcon.title = "Hide the content of this channel"; thisIcon.firstChild.alt = thisIcon.title;
		thisIcon.firstChild.src = mediaPath + "minimize.gif";
		thisChannel.style.display = "block";
		removeClassName(thisChannel.previousSibling, "channel-header-minimized");
		addCSSClass(thisChannel.previousSibling, "channel-header");
		removeClassName(thisChannel.parentNode, "channel-window-inside-minimized");
		addCSSClass(thisChannel.parentNode, "channel-window-inside");
		removeClassName(thisChannel.parentNode.parentNode, "channel-window-outside-minimized");
		addCSSClass(thisChannel.parentNode.parentNode, "channel-window-outside");
	} else {
		addMinChannel(ID);
		thisIcon.title = "View the content of this channel"; thisIcon.firstChild.alt = thisIcon.title;
		thisIcon.firstChild.src = mediaPath + "maximize.gif";
		thisChannel.style.display = "none";
		removeClassName(thisChannel.previousSibling, "channel-header");
		addCSSClass(thisChannel.previousSibling, "channel-header-minimized");
		removeClassName(thisChannel.parentNode, "channel-window-inside");
		addCSSClass(thisChannel.parentNode, "channel-window-inside-minimized");
		removeClassName(thisChannel.parentNode.parentNode, "channel-window-outside");
		addCSSClass(thisChannel.parentNode.parentNode, "channel-window-outside-minimized");
	}
}

function addMinChannel(channelID) {
	minimizedChannels.push(channelID);
}

function deleteMinChannel(channelID) {
	for (var i=0; i<minimizedChannels.length; i++) {
		if (minimizedChannels[i] == channelID) {
			minimizedChannels.splice([i], 1);
		}
	}
}

function saveMinChannel() {
	if (document.getElementById && document.createElement) {
		var thisDocBody = document.getElementsByTagName("body").item(0);
		createCookie(thisDocBody.id, minimizedChannels);
	}
}

function restoreMinChannel() {
	if (document.getElementById && document.createElement) {
		var thisDocBody = document.getElementsByTagName("body").item(0);
		if (thisDocBody.id) {
			var thisCookie = readCookie(thisDocBody.id);
			if (thisCookie) {
				var restoreThis = thisCookie.split(',');
				for (i=0; i<restoreThis.length; i++) {
					toggleChannel(restoreThis[i]);
				}
			}
		}
	}
}

function focusChannel(ID, icon) {
	var windowID = "windowID" + ID; var channelID = "channelID" + ID;
	var title = "titleID" + ID; var icon = "focus" + ID;
	var windowTitle = document.getElementById(title);
	var thisIcon = document.getElementById(icon);
	var theTabs = document.getElementById("tabNavigation");
	var theTabFooter = document.getElementById("tabFooter");
	var allDivs = document.getElementsByTagName("div");

	var allWindows = new Array();

	for (var i=0; i<allDivs.length; i++) {
		if (allDivs[i].id.match(/[\w\s]*windowID[\w\s]*/)) {
			allWindows.push(allDivs[i]);
		}
	}

	if (focusedChannel == windowID) {
		theTabs.style.display = "block"; theTabFooter.style.display = "block";
		focusedChannel = ""; document.title = originialTitle;
		for (var j=0; j<allWindows.length; j++) {
			allWindows[j].style.display = "block";
			if (icon) { thisIcon.firstChild.src = mediaPath + "focus.gif"; }
			addCSSClass(allWindows[j].parentNode.parentNode, thisColumnClass[j]);
			removeClassName(allWindows[j].parentNode.parentNode, "display-100-percent");
		}
	} else {
		theTabs.style.display = "none"; theTabFooter.style.display = "none";
		focusedChannel = windowID; document.title = windowTitle.firstChild.nodeValue;
		for (var j=0; j<allWindows.length; j++) {
			if (allWindows[j].id != windowID) {
				allWindows[j].style.display = "none";
				if (icon) { thisIcon.firstChild.src = mediaPath + "return.gif"; }
				thisColumnClass[j] = allWindows[j].parentNode.parentNode.className;
				removeClassName(allWindows[j].parentNode.parentNode, thisColumnClass[j]);
			}
			if (allWindows[j].id == windowID) {
				if (document.getElementById(channelID).style.display = "none") {
					toggleChannel(ID);
				}
				thisColumnClass[j] = allWindows[j].parentNode.parentNode.className;
				removeClassName(allWindows[j].parentNode.parentNode, thisColumnClass[j]);
				addCSSClass(allWindows[j].parentNode.parentNode, "display-100-percent");
			}
		}
	}
}

function printChannel(ID) {
	var windowID = "windowID" + ID; var channelID = "channelID" + ID;
	if (document.getElementById(channelID).style.display = "none") {
		toggleChannel(ID);
	}
	focusChannel(ID);
	detachChannel(ID, "print");
	focusChannel(ID);
}

function detachChannel(ID, method) {
	var windowID = "windowID" + ID; var channelID = "channelID" + ID;
	var title = "titleID" + ID; var windowTitle = document.getElementById(title).firstChild;
	if (document.getElementById(channelID).style.display = "none") {
		toggleChannel(ID);
	}

	newDocument = window.open("", "", "");
	if (newDocument) {
		var thisDTD = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n';
		var thisHeadStart = '<html><head>\n';
		var thisTitle = '<title>' + windowTitle.nodeValue + '</title>\n';
		var thisHeadFinish = '</head><body>\n';
		var thisChannelWindow = '<div class="display-100-percent"><div class="display-padded-column">\n<div class="channel-window-outside"><div class="channel-window-inside">\n';
		var thisChannelHeader = '<div class="channel-header"><div><h1>' + windowTitle.nodeValue + '</h1><span>&nbsp;</span></div></div>';
		var thisChannelContent = '<div class="channel-content-border">\n<div class="channel-content-body">\n';
		var thisSourceFinish = '\n</div></div></div></div></div></div>\n</body></html>';

		newDocument.document.write(thisDTD);
		newDocument.document.write(thisHeadStart);
		newDocument.document.write(thisTitle);

		pseudoElement("meta", newDocument.document);
		pseudoElement("link", newDocument.document);

		newDocument.document.write(thisHeadFinish);
		newDocument.document.write(thisChannelWindow);
		newDocument.document.write(thisChannelHeader);
		newDocument.document.write(thisChannelContent);

		var thisChannel = document.getElementById(channelID).innerHTML;

		newDocument.document.write(thisChannel);
		newDocument.document.write(thisSourceFinish);
		if (method && (method.toLowerCase() == "print")) {
			window.print();
		}
	}
}

function pseudoElement(elementName, writeTarget) {
	var thisElement = document.getElementsByTagName(elementName);
	for (var i=0; i<thisElement.length; i++) {
	   var attributes = thisElement[i].attributes;
		newElement = '<' + elementName;
		for (var j=0; j<attributes.length; j++) {
			var attribute = attributes[j];
			if(attribute.nodeValue != null && attribute.nodeValue != "" && attribute.nodeName != "contentEditable") {
				newElement += ' ' + attribute.nodeName + '="' + attribute.nodeValue + '"';
			}
		}
		if (thisElement[i].innerHTML) {
			newElement += '>\n' + thisElement[i].innerHTML + '\n</' + elementName + '>\n';
		} else {
			newElement += ' />\n';
		}
		if (writeTarget) {
			writeTarget.write(newElement);
		}
   }
}